org.eclipse.net4j.util.event

## Class ExecutorServiceNotifier

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.event.ExecutorServiceNotifier

- All Implemented Interfaces:
    IExecutorServiceProvider, INotifier
  Direct Known Subclasses:
    ExecutorServiceNotifier.ThreadPool

  Deprecated.

      @Deprecated
      public class ExecutorServiceNotifier
      extends Notifier
      implements IExecutorServiceProvider

  Deprecated.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExecutorServiceNotifier.ThreadPool` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorServiceNotifier()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.ExecutorService` | `getExecutorService()` Deprecated.
    `java.util.concurrent.ExecutorService` | `getNotificationService()` Deprecated.
    `void` | `setNotificationExecutorService(java.util.concurrent.ExecutorService notificationExecutorService)` Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorServiceNotifier

          public ExecutorServiceNotifier()

      Deprecated.

  - ### Method Detail

    - #### getExecutorService

          public java.util.concurrent.ExecutorService getExecutorService()

      Deprecated.
      Specified by:
        `getExecutorService` in interface `IExecutorServiceProvider`
      Since:
        3.6

    - #### getNotificationService

          public java.util.concurrent.ExecutorService getNotificationService()

      Deprecated.
      Overrides:
        `getNotificationService` in class `Notifier`

    - #### setNotificationExecutorService

          public void setNotificationExecutorService(java.util.concurrent.ExecutorService notificationExecutorService)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html